<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|
|	©Steve Dunstan 2001-2005
|	http://e107.org
|	jalist@e107.org
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
|
|
|   Tema mj
|   by Alf - http://www.e107works.org
|   Released under the terms and conditions of the
|   Creative Commons "Attribution-Noncommercial-Share Alike 3.0"
|   http://creativecommons.org/licenses/by-nc-sa/3.0/
+---------------------------------------------------------------+
*/

// [multilanguage]
@include_once(e_THEME."mj/languages/".e_LANGUAGE.".php");
@include_once(e_THEME."mj/languages/Italiano.php");
@include_once(e_THEME."mj/languages/Italian.php");
setlocale(LC_ALL,'it_IT.UTF-8');


// [theme]
$themename = "mj";
$themeversion = "1.0";
$themeauthor = "Alf";
$themeemail = "info@e107works.org";
$themewebsite = "http://www.e107works.org";
$themedate = "06 apr 10";
$themeinfo = "<a rel='license' href='http://creativecommons.org/licenses/by-nc-sa/3.0/deed.it'><img alt='Creative Commons License' style='border-width:0; float:left; margin-right:10px; margin-bottom:10px' src='http://i.creativecommons.org/l/by-nc-sa/3.0/80x15.png'/></a>This work is licensed under a <a rel='license' href='http://creativecommons.org/licenses/by-nc-sa/3.0/deed.it'>Creative Commons Licence</a>";

define("STANDARDS_MODE", "");
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;
define("IMODE", "lite");
define("ICONPRINTPDF", "pdf.gif");



$register_sc[] = 'CUSTOM';
$register_sc[] = 'BENVENUTO';
$register_sc[] = 'UL';
$register_sc[] = 'FOOTER';

function theme_head() {

	return "
	
	<link rel='stylesheet' href='".THEME_ABS."menu/navigazione.css' />
	<link rel='stylesheet' type='text/css' href='".THEME_ABS."nifty/niftyCorners.css' />
    <link rel='stylesheet' type='text/css' href='".THEME_ABS."nifty/niftyPrint.css' media='print' />
    <script type='text/javascript' src='".THEME_ABS."nifty/nifty.js'></script>

	";

}


// [page defines used for css controll on per page basis]
define("e_PAGE", substr(strrchr($_SERVER['PHP_SELF'], "/"), 1));
define("e_PAGECLASS", str_replace(substr(strrchr(e_PAGE, "."), 0), "", e_PAGE));



// **************************** [DEFAULT ] ************************************

$layout = "_default";

	 
$HEADER = "
<script type='text/javascript'>
   window.onload=function(){
   if(!NiftyCheck())
    return;
  
   Rounded('div.menu2','top','transparent','#374560','border #1A1F27');
   Rounded('div.menu2','bottom','transparent','#374560','small border #1A1F27');
   
   Rounded('div.menu5','top','transparent','#fafafa','border #B07D1C');
   Rounded('div.menu5','bottom','transparent','#fafafa','small border #B07D1C');  

   Rounded('div.menu6','top','transparent','#fafafa','border #B07D1C');
   Rounded('div.menu6','bottom','transparent','#fafafa','small border #B07D1C');  
   }
</script>

<div id='contenitore_principale'>

	<div id='bordo'>

		<div id='testata'>
	
			<div id='barra_titolo_login'>
			
				<div id='titolo'>
				
					<h1>{SITENAME}</h1>
				
				</div>
				
				<div id='login'>
				
					{CUSTOM=login}
				
				</div>
		
			</div>
			
			<div id='benvenuto'>
		
				{BENVENUTO}
			
			</div>

			<div id='blocco_navigazione'>
			
				<div id='top_left'></div>
				
				<div id='top_right'></div>
			
				<div id='logo_navigazione'>
				
					<div id='logo'>
					
						<a href='".e_BASE."index.php' title='home'><img src='".THEME_ABS."images/logo.gif' alt='logo' /></a>
					
					</div>
					
					<div id='rss'>
					
						<a href='".e_PLUGIN."rss_menu/rss.php' title='rss feed'><img src='".THEME_ABS."images/rss.gif' alt='rss' /></a>
					
					</div>
				
					<div id='navigazione'>
					
						{UL}
					
					</div>
				
				</div>
			
			</div>
	
		</div>
		
		<div id='sub_contenitore'>
		
			<div class='blocco_centrale'>
				
				{SETSTYLE=menu4}
				{MENU=4}
				{SETSTYLE}				
				
			</div>		
		
			<div id='blocco_sx'>
			
				{SETSTYLE=menu1}
				{MENU=1}
				{SETSTYLE}			
			
				{SETSTYLE=menu2}
				{MENU=2}
				{SETSTYLE}
				
				{SETSTYLE=menu3}
				{MENU=3}
				{SETSTYLE}				
			
			</div>
			
			<div id='contenuti'>
 
";

$FOOTER = "

			</div>
			
			<div class='blocco_centrale'>
				
				{SETSTYLE=menu7}
				{MENU=7}
				{SETSTYLE}				
				
			</div>			

		</div>
		
		<div id='blocco_dx'>
		
				{SETSTYLE=menu5}
				{MENU=5}
				{SETSTYLE}
				
				{SETSTYLE=menu6}
				{MENU=6}
				{SETSTYLE}				
		
		</div>
		
		<div id='footer'>
		
			{FOOTER}
		
		</div>		

	</div>

</div>
";

// **************************** [CUSTOM PAGE ] ************************************

$CUSTOMHEADER['my_custom'] = "
<script type='text/javascript'>
   window.onload=function(){
   if(!NiftyCheck())
    return;
  
   Rounded('div.menu2','top','transparent','#374560','border #1A1F27');
   Rounded('div.menu2','bottom','transparent','#374560','small border #1A1F27');
 
   }
</script>

<div id='contenitore_principale'>

	<div id='bordo'>

		<div id='testata'>
	
			<div id='barra_titolo_login'>
			
				<div id='titolo'>
				
					<h1>{SITENAME}</h1>
				
				</div>
				
				<div id='login'>
				
					{CUSTOM=login}
				
				</div>
		
			</div>
			
			<div id='benvenuto'>
		
				{BENVENUTO}
			
			</div>

			<div id='blocco_navigazione'>
			
				<div id='top_left'></div>
				
				<div id='top_right'></div>
			
				<div id='logo_navigazione'>
				
					<div id='logo'>
					
						<a href='".e_BASE."index.php' title='home'><img src='".THEME_ABS."images/logo.gif' alt='logo' /></a>
					
					</div>
					
					<div id='rss'>
					
						<a href='".e_PLUGIN."rss_menu/rss.php' title='rss feed'><img src='".THEME_ABS."images/rss.gif' alt='rss' /></a>
					
					</div>
				
					<div id='navigazione'>
					
						{UL}
					
					</div>
				
				</div>
			
			</div>
	
		</div>
		
		<div id='sub_contenitore_custom'>
		
			<div class='blocco_centrale'>
				
				{SETSTYLE=menu4}
				{MENU=4}
				{SETSTYLE}				
				
			</div>		
		
			<div id='blocco_sx'>
			
				{SETSTYLE=menu1}
				{MENU=1}
				{SETSTYLE}			
			
				{SETSTYLE=menu2}
				{MENU=2}
				{SETSTYLE}
				
				{SETSTYLE=menu3}
				{MENU=3}
				{SETSTYLE}				
			
			</div>
			
			<div id='contenuti_custom'>
";

$CUSTOMFOOTER['my_custom'] = "

			</div>
			
			<div class='blocco_centrale'>
				
				{SETSTYLE=menu7}
				{MENU=7}
				{SETSTYLE}				
				
			</div>			

		</div>
		
		<div id='footer'>
		
			{FOOTER}
		
		</div>

	</div>

</div>
";



$CUSTOMPAGES['my_custom']= "forum user signup login";


// [news] _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

function news_style($news) 
{
$miadata  = strftime("%d", $news['news_datestamp']);
$miomese  = strftime("%b", $news['news_datestamp']);	
$mioanno  = strftime("%Y", $news['news_datestamp']);


$NEWSSTYLE = "
<div class='news'>

		<div class='immagine_news'>
			
			{NEWSIMAGE}
			
		</div>
		
		<div class='contenitore_news'>

			<div class='titolo_news'>
	
				{NEWSTITLE}
	
			</div>
		
			<div class='info_news'>
		
				<img src='".THEME_ABS."images/data_new.gif' alt='data'/>&nbsp;
				".$miadata."&nbsp;".$miomese."&nbsp;".$mioanno."&nbsp;&nbsp;&nbsp;
				<img src='".THEME_ABS."images/autor_new.gif' alt='data'/>&nbsp;
				{NEWSAUTHOR}&nbsp;&nbsp;&nbsp;
				<img src='{NEWSHEADER}' alt='' />&nbsp;
				{NEWSCATEGORY}
		
			</div>

			<div class='body_news'>
		
				{NEWSBODY}
				
				<div style='text-align:right;padding-right:10px;'>
      
					<span style='background:#F2FEFD'>{EXTENDED}</span>
      
				</div>				
		
			</div>
			
		</div>
		
		<div class='bordo_news'></div>
		
		<div class='accessori_news'>
		
			<img src='".THEME_ABS."images/left_benvenuto.jpg' alt='' />
			{NEWSCOMMENTS}{TRACKBACK}&nbsp;&nbsp;".LAN_THEME_314."{EMAILICON}&nbsp;&nbsp;".LAN_THEME_315."{PRINTICON}&nbsp;&nbsp;".LAN_THEME_315."{PDFICON}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{ADMINOPTIONS}	
	
		</div>		

</div>
";
return $NEWSSTYLE;
}


$NEWSLISTSTYLE = "
<div class='nlist'onmouseover=\"this.className='nsellist'\" onmouseout=\"this.className='nlist'\">

 <div class='imgnlist'>
 {NEWSIMAGE}
 </div>

 <div class='bodynlist'>
  
  <div class='titolonlist'>
  {NEWSTITLELINK}
  </div>
 
  <div class='testonlist'>
  {NEWSSUMMARY}
  </div>

 </div>


</div>
";



define('ICONADMINOPTIONS', 'fileedit.gif');
define('ICONMAIL', 'email.gif');
define('ICONPRINT', 'print.gif');	
define("ICONSTYLE", "float:right; border:0");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "<br /> ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " <br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");
define("CBWIDTH","96%");


// [linkstyle]
define(PRELINK, "");
define(POSTLINK, "");
define(LINKSTART, "");
define(LINKEND, "");
define(LINKDISPLAY, "");

//	[tablestyle]
function tablestyle($caption, $text, $mode)
{
	global $style;

	if($style == "menu1")
	{
		echo "<div class='menu1'><div class='caption1'><h3>$caption</h3></div><div class='padder1'>$text</div></div>";
	}
	else if($style == "menu2")
	{
		echo "<div class='menu2'><div class='caption2'><h3>$caption</h3></div><div class='padder2'><div class='sub_padder2'>$text</div></div></div>";
	}
	else if($style == "menu3")
	{
		echo "<div class='menu3'><div class='caption3'><h3>$caption</h3></div><div class='padder3'>$text</div></div>";
	}	
	else if($style == "menu4")
	{
		echo "<div class='menu4'><div class='padder4'>$text</div></div>";
	}
	else if($style == "menu5")
	{
		echo "<div class='menu5'><div class='caption5'><h3>$caption</h3></div><div class='padder5'>$text</div></div>";
	}
	else if($style == "menu6")
	{
		echo "<div class='menu6'><div class='caption6'><h3>$caption</h3></div><div class='padder6'>$text</div></div>";
	}
	else if($style == "menu7")
	{
		echo "<div class='menu7'><div class='padder7'>$text</div></div>";
	}	
	else
	{
		echo "<div class='caption'><h2>$caption</h2></div><div class='padder'>$text</div>";
	}
}


$COMMENTSTYLE = "
<div class='commenti'>

	<div class='intestacommenti'>
	
		<div style='float:left'>
			".LAN_THEME_7."&nbsp;<span style='font-size:18px;font-weight:bold;'>{USERNAME}</span>&nbsp;&nbsp;".LAN_THEME_8."&nbsp;{TIMEDATE}
		</div>
		
		<div style='float:right;padding-right:10px;'>
			{COMMENTEDIT}
		</div>
		
	</div>

	<div class='gruppoavatar'>
	
		<div class='avatar'>
			{AVATAR}
		</div>
		
		<div class='livello'>
			{LEVEL}
			{COMMENTS}
		</div>
		
	</div>

	<div class='replica'>
		{REPLY}
	</div>

	<div class='testocommento'>
		{COMMENT}
	</div>

	<div class='signature'>
		{SIGNATURE}
	</div>

</div>
";


?>